Page MenuHomePhabricator

[WebAssembly] Update test to run it in opaque pointers mode
ClosedPublic

Authored by pmatos on Jun 21 2022, 7:22 AM.

Details

Summary

When opaque pointers was enabled, -no-opaque-pointers were added to some tests in order not to change behaviour. We now revert this and fix the test.

Diff Detail

Event Timeline

pmatos created this revision.Jun 21 2022, 7:22 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 21 2022, 7:22 AM
pmatos requested review of this revision.Jun 21 2022, 7:22 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 21 2022, 7:22 AM
asb accepted this revision.Jun 21 2022, 8:59 AM

LGTM. Though it also looks like all the WEBASSEMBLY32/WEBASSEMBLY64 lines you're modifying match each other, so could be combined to single WEBASSEMBLY: lines. It might be worth doing that while you're touching this test?

clang/test/CodeGen/builtins-wasm.c
2

Nit: whitespace.

This revision is now accepted and ready to land.Jun 21 2022, 8:59 AM
tlively accepted this revision.Jun 21 2022, 3:10 PM

I think the lines still differ in that one tests wasm32 and the other tests wasm64 (the triples are different).

asb added a comment.Jun 22 2022, 2:00 AM

I think the lines still differ in that one tests wasm32 and the other tests wasm64 (the triples are different).

Yeah, but the convention used elsewhere in this test file is to use WEBASSEMBLY: (which is a common check prefix for both wasm32 and wasm64 run lines) in the cases where the output is the same.

I think the lines still differ in that one tests wasm32 and the other tests wasm64 (the triples are different).

Yeah, but the convention used elsewhere in this test file is to use WEBASSEMBLY: (which is a common check prefix for both wasm32 and wasm64 run lines) in the cases where the output is the same.

Ohh, for some reason I thought you were talking about the RUN lines. Yes, combining the check lines would make sense.

pmatos updated this revision to Diff 439345.Jun 23 2022, 5:13 AM

Remove extraneous whitespace.
Make equal CHECK lines use WEBASSEMBLY:

This revision was landed with ongoing or failed builds.Jun 23 2022, 5:16 AM
This revision was automatically updated to reflect the committed changes.